View Issue Details

IDProjectCategoryView StatusLast Update
0000108My infrastructure[All Projects] Generalpublic2020-03-26 15:30
Reporterdvl Assigned Todvl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Summary0000108: librenms still wants git
Description[dan@besser:/usr/local/www/librenms] $ sudo ./validate.php
PHP Deprecated: Array and string offset access syntax with curly braces is deprecated in /usr/local/www/librenms/includes/functions.php on line 1833

Deprecated: Array and string offset access syntax with curly braces is deprecated in /usr/local/www/librenms/includes/functions.php on line 1833
PHP Deprecated: Array and string offset access syntax with curly braces is deprecated in /usr/local/www/librenms/includes/functions.php on line 2336

Deprecated: Array and string offset access syntax with curly braces is deprecated in /usr/local/www/librenms/includes/functions.php on line 2336
sh: git: not found
sh: git: not found
====================================
Component | Version
--------- | -------
LibreNMS | 1.61
DB Schema | 2020_02_10_223323_create_alert_location_map_table (159)
PHP | 7.4.3
MySQL | 5.7.29
RRDTool | 1.7.2
SNMP | NET-SNMP 5.7.3
====================================

[OK] Installed from package; no Composer required
[OK] Database connection successful
[OK] Database schema correct
[WARN] fping FAILURES can be ignored if running LibreNMS in a jail without ::1. You may want to test it manually: fping ::1
[FAIL] fping could not be executed. fping must have CAP_NET_RAW capability (getcap) or suid. Selinux exlusions may be required.
 (This account is currently not available.)
[WARN] fping FAILURES can be ignored if running LibreNMS in a jail without ::1. You may want to test it manually: fping ::1
[FAIL] fping6 could not be executed. fping6 must have CAP_NET_RAW capability (getcap) or suid. Selinux exlusions may be required.
 (This account is currently not available.)
[dan@besser:/usr/local/www/librenms] $
TagsNo tags attached.

Activities

dvl

2020-03-20 13:38

manager   ~0000112

.env sample file needs to chgrp www & chmod o=

dvl

2020-03-25 21:05

manager   ~0000113

The git issue has been fixed upstream: https://github.com/librenms/librenms/pull/11316

dvl

2020-03-26 15:30

manager   ~0000114

Committed revision 529195.

Issue History

Date Modified Username Field Change
2020-03-19 19:20 dvl New Issue
2020-03-20 13:38 dvl Note Added: 0000112
2020-03-25 21:05 dvl Note Added: 0000113
2020-03-25 21:06 dvl Assigned To => dvl
2020-03-25 21:06 dvl Status new => assigned
2020-03-26 15:30 dvl Note Added: 0000114
2020-03-26 15:30 dvl Status assigned => closed
2020-03-26 15:30 dvl Resolution open => fixed